osgDB::ofstream Class Reference

`#include <fstream>`

Inheritance diagram for osgDB::ofstream:

## Public Member Functions

OSGDB_EXPORT | ofstream ()
OSGDB_EXPORT | ofstream (const char *filename, std::ios_base::openmode mode=std::ios_base::out)
OSGDB_EXPORT | ~ofstream ()
void OSGDB_EXPORT | open (const char *filename, std::ios_base::openmode mode=std::ios_base::out)

## Constructor & Destructor Documentation

## ofstream() [1/2]

OSGDB_EXPORT osgDB::ofstream::ofstream | ( |  | ) |

References OSGDB_EXPORT.

## ofstream() [2/2]

OSGDB_EXPORT osgDB::ofstream::ofstream | ( | const char * | filename,
|  | std::ios_base::openmode | mode = std::ios_base::out )

explicit

References OSGDB_EXPORT.

## ~ofstream()

OSGDB_EXPORT osgDB::ofstream::~ofstream | ( |  | ) |

References OSGDB_EXPORT.

## Member Function Documentation

## open()

void OSGDB_EXPORT osgDB::ofstream::open | ( | const char * | filename,
|  | std::ios_base::openmode | mode = std::ios_base::out )

References OSGDB_EXPORT.

The documentation for this class was generated from the following file:

- fstream